onEvent('worldgen.remove', event => {

    // remove features by their id (first argument is a generation step)
    event.removeFeatureById('underground_structures', ['aoa3:ruined_teleporter_frame'])
    event.removeFeatureById('shyrelands', ['aoa3:shyrelands/archer_outpost/archer_outpost'])

  })